> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Environments

> Get list of environments with data for a project.



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json get /api/v1/projects/{project_slug}/analytics/environments
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/projects/{project_slug}/analytics/environments:
    get:
      tags:
        - Projects
      summary: Get Environments
      description: Get list of environments with data for a project.
      operationId: api_projects_router_get_environments
      parameters:
        - in: path
          name: project_slug
          schema:
            title: Project Slug
            type: string
          required: true
        - in: query
          name: app_slugs
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: App Slugs
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response
                type: object
      security:
        - JWTBearer: []
components:
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````